""" Prints out all possibly-bad words in a wordlist """

import sys

import wordfilter

for fname in sys.argv[1:]:
    with open(fname, 'r') as afile:
        for line in afile:
            if wordfilter.blacklisted(line):
                print(fname, line.strip())
